Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 05 Jul 2022 01:22:07 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi, i keep on receiving the message that they tried to contact me but to no avail. I did not receive any calls though. I have provided alternative no. 0523497001 but still no one contacted me. Order no. 9576685313.  I made a number of calls on the customer help as well but still no progress. Can I just cancel this order? I have flight tonight and will not be able to keep track on this. thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4582900